Botan 1.10.17

Public Member Functions | List of all members
Botan::PKCS8_Exception Struct Reference

`#include <pkcs8.h>`

Inheritance diagram for Botan::PKCS8_Exception:

## Public Member Functions
| PKCS8_Exception (const std::string &error)

## Detailed Description

PKCS #8 General Exception

Definition at line 19 of file pkcs8.h.

## Constructor & Destructor Documentation

## ◆ PKCS8_Exception()

Botan::PKCS8_Exception::PKCS8_Exception | ( | const std::string & | error | ) |
| inline

Definition at line 21 of file pkcs8.h.

21 :
22 Decoding_Error("PKCS #8: " + error) {}
Botan::Decoding_Error::Decoding_Error
Decoding_Error(const std::string &name)
Definition: exceptn.h:140

The documentation for this struct was generated from the following file:

- src/pubkey/pkcs8.h